#!/bin/bash
# Compile translations
# Copyright (C) 2007-2008  Andrius Štikonas <stikonas@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

source variables

if [ ! $MSGFMT ]; then
	echo -e "\E[31mThis program needs the msgfmt utility."; tput sgr0
	exit 1
fi

for BRANCH in $TRUNK $BRANCHES; do
	echo -e "Repository: \E[34m$BRANCH"; tput sgr0
	DIR="$PREFIX-$BRANCH"
	if [ ! -e "$MDIR/$BRANCH" ]; then
		mkdir -p "$MDIR/$BRANCH"
	fi
	for file in `ls $DIR`; do
		echo "Compiling $file";
		$MSGFMT "$DIR/$file" -o "$MDIR/$BRANCH/`echo $file | sed "s/."$LCODE".po/.mo/"`"
	done
	echo ""
done

echo -ne "\E[32mFinished."; tput sgr0; echo " "
